
Redmine - Defect #8421

REST API may produce invalid json

2011-05-21 16:22 - Ilya Kulakov

Status: Closed Start date: 2011-05-21

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 1.1.3

Description

Redmine MUST produce valid json. E.g. look at the contents of http://www.redmine.org/issues/8031.json. Especially to the

description field:

\"\\377\u00f4\u00ff\u00fd\" 

It contains 

06

character between \u00fd and \", so if you look at this line in hex editor you'll see

"\\377\u00f4\u00ff\u00fd^F\" 

 This character is not allowed by JSON standard.

Related issues:

Related to Redmine - Feature #4796: Rails 3 support Closed 2010-02-10

History

#1 - 2011-05-22 21:21 - Etienne Massip

JSON encoding is made by Rails ; JSON encoder code has changed lightly with 3.0, dunno if it'll solve this issue, though.

#2 - 2016-01-09 06:50 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

It seems to be fixed in current versions. I found the following string in http://www.redmine.org/issues/8031.json.

\"\\377\u00f4\u00ff\u00fd\u0006\" 
